"""=========================================================
منطق برنامه تعیین کننده کوچکترین مقدار K به طوریکه رابطه زیر
برقرار باشد.

4 + 1/2! + 1/3! + ... + 1/k! >= 4.7183
========================================================="""



sigma = 4
count = 2
while sigma < 4.7183:
    fact = 1
    for temp in range(1,count+1):
        fact = fact*temp
    sigma += 1/fact
    count += 1
    print(count)
print("Count: ",count)



